import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'
import constant from './modules/constant'
import scrollStore from './modules/scrollStore'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    settings,
    user,
    constant,
    scrollStore
  },
  getters
})

export default store
