export default {
  data() {
    return {
      total: 20,
      loading: false,
      tableData: [],
      tableOptions: {
        sortTable: true,
        maxHeight: 'calc(100vh - 406px)',
        height: 'calc(100vh - 406px)'
      },
      columns: [
        {
          label: '用户ip',
          prop: 'clientIp',
          showTooltip: true,
        },
        {
          label: '操作人',
          prop: 'userCreate',
          showTooltip: true,
        },
        {
          label: '执行时间',
          showTooltip: true,
          prop: 'usageTime',
          render: (h, row) => {
            return <div>{ row.usageTime + '毫秒' }</div>
          }
        },
        {
          label: '请求URL',
          showTooltip: true,
          prop: 'url',
        },
        {
          label: '请求的方法名',
          showTooltip: true,
          prop: 'methodName',
        },
        {
          label: '操作模块',
          showTooltip: true,
          prop: 'operationModule',
        },
        {
          label: '操作类型',
          showTooltip: true,
          prop: 'operationType',
        },
        {
          label: '操作说明',
          showTooltip: true,
          prop: 'description',
        },
        {
          label: '请求的参数',
          showTooltip: true,
          prop: 'requestParams',
        },
        {
          label: '请求的结果',
          showTooltip: true,
          prop: 'result',
        },
        {
          label: '创建时间',
          showTooltip: true,
          prop: 'gmtCreate',
        }
      ]
    }
  }
}
