import request from '@/utils/request'

// 获取列表
export function getList(data) {
  return request({
    url: '/accountMonitor/list',
    method: 'post',
    data
  })
}

// 刷新账户绑定状态
export function refreshStatus(data) {
  return request({
    url: '/accountMonitor/refreshStatus',
    method: 'post',
    data
  })
}

// 刷新账户绑定状态
export function updateStatus(data) {
  return request({
    url: '/accountMonitor/updateStatus',
    method: 'post',
    data
  })
}

// 换绑账号接口
export function changeAccount(data) {
  return request({
    url: '/accountMonitor/changeAccount',
    method: 'post',
    data
  })
}

// 获取可用的登记簿账号
export function getAccountList(data) {
  return request({
    url: '/accountMonitor/accountList',
    method: 'post',
    data
  })
}

// 获取可用的登记簿账号
export function getStatusLogList(data) {
  return request({
    url: '/accountMonitor/statusLogList',
    method: 'post',
    data
  })
}
