import request from '@/utils/request'

// 获取列表
export function getList(data) {
  return request({
    url: '/blacklist/list',
    method: 'post',
    data
  })
}

// 移出黑名单
export function moveBlack(data) {
  return request({
    url: '/blacklist/move',
    method: 'post',
    data
  })
}

// 移出黑名单
export function addBlack(data) {
  return request({
    url: '/blacklist/add',
    method: 'post',
    data
  })
}

// 模糊搜索获取监测对象
export function getMonitorObject(data) {
  return request({
    url: '/blacklist/findMonitorObject',
    method: 'post',
    data
  })
}
