import request from '@/utils/request'

// 店铺准入列表
export function getStoreEntryList(params) {
  return request({
    url: '/shop/zrList',
    method: 'get',
    params
  })
}

// 店铺准入详情
export function getStoreEntryDetail(params) {
  return request({
    url: '/shopZrRecord/list',
    method: 'get',
    params
  })
}

// 店铺准入记录
export function getStoreEntryRecords(params) {
  return request({
    url: '/shopZrRecord/records',
    method: 'get',
    params
  })
}
