
/* Layout */
import Layout from '@/layout'

export default {
  path: '/capitalManagement',
  component: Layout,
  redirect: '/capitalManage',
  name: 'CapitalManagement',
  // alwaysShow: true,
  meta: {
    title: '资方管理',
    icon: 'system'
  },
  children: [
    {
      path: '/capitalManage',
      name: 'CapitalManage',
      component: () => import('@/views/capitalManage/index.vue'),
      meta: { title: '资方管理', activeMenu: '/capitalManagement' },
      hidden: true,
      children: [
        {
          path: '/capitalManage/details/:id',
          name: 'CapitalManageDetails',
          component: () => import('@/views/capitalManage/details.vue'),
          meta: { title: '资方信息' },
          hidden: true
        }
      ]
    }
  ]
}
